Make WordPress Core

Changeset 44296 for trunk/package.json


Ignore:
Timestamp:
12/18/2018 09:56:06 PM (5 years ago)
Author:
desrosj
Message:

Block Editor: Upgrade @wordpress packages to match version 4.7.1.

Updated packages:

  • `@wordpress/annotations
  • `@wordpress/api-fetch
  • `@wordpress/block-library@2.2.10
  • @wordpress/block-serialization-default-parser@2.0.2
  • @wordpress/block-serialization-spec-parser@2.0.2
  • @wordpress/blocks@6.0.4
  • @wordpress/components@7.0.4
  • @wordpress/core-data@2.0.15
  • @wordpress/data@4.1.0
  • @wordpress/date@3.0.1
  • @wordpress/edit-post@3.1.5
  • @wordpress/editor@9.0.5
  • @wordpress/eslint-plugin@1.0.0
  • @wordpress/format-library@1.2.8
  • @wordpress/html-entities@2.0.4
  • @wordpress/list-reusable-blocks@1.1.17
  • @wordpress/notices@1.1.1
  • @wordpress/nux@3.0.5
  • @wordpress/rich-text@3.0.3
  • @wordpress/url@2.3.2
  • @wordpress/viewport@2.0.13

This also includes the updates the Core blocks.

The script loader is updated to match the Gutenberg repository as well.

Props atimmer, gziolo, joen, youknowriad.

Merges [44183] to trunk.

Fixes #45442, #45637.

Location:
trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk

  • trunk/package.json

    r44281 r44296  
    5757        "@babel/polyfill": "^7.0.0",
    5858        "@wordpress/a11y": "^2.0.2",
    59         "@wordpress/annotations": "^1.0.3",
    60         "@wordpress/api-fetch": "^2.2.5",
     59        "@wordpress/annotations": "^1.0.4",
     60        "@wordpress/api-fetch": "^2.2.6",
    6161        "@wordpress/autop": "^2.0.2",
    6262        "@wordpress/blob": "^2.1.0",
    63         "@wordpress/block-library": "^2.2.9",
    64         "@wordpress/block-serialization-default-parser": "^2.0.1",
    65         "@wordpress/blocks": "^6.0.3",
    66         "@wordpress/components": "^7.0.3",
     63        "@wordpress/block-library": "^2.2.10",
     64        "@wordpress/block-serialization-default-parser": "^2.0.2",
     65        "@wordpress/blocks": "^6.0.4",
     66        "@wordpress/components": "^7.0.4",
    6767        "@wordpress/compose": "^3.0.0",
    68         "@wordpress/core-data": "^2.0.14",
    69         "@wordpress/data": "^4.0.1",
    70         "@wordpress/date": "^3.0.0",
     68        "@wordpress/core-data": "^2.0.15",
     69        "@wordpress/data": "^4.1.0",
     70        "@wordpress/date": "^3.0.1",
    7171        "@wordpress/deprecated": "^2.0.3",
    7272        "@wordpress/dom": "^2.0.7",
    7373        "@wordpress/dom-ready": "^2.0.2",
    74         "@wordpress/edit-post": "^3.1.4",
    75         "@wordpress/editor": "^9.0.4",
     74        "@wordpress/edit-post": "^3.1.5",
     75        "@wordpress/editor": "^9.0.5",
    7676        "@wordpress/element": "^2.1.8",
    7777        "@wordpress/escape-html": "^1.0.1",
    78         "@wordpress/format-library": "^1.2.7",
     78        "@wordpress/format-library": "^1.2.8",
    7979        "@wordpress/hooks": "^2.0.3",
    80         "@wordpress/html-entities": "^2.0.3",
     80        "@wordpress/html-entities": "^2.0.4",
    8181        "@wordpress/i18n": "^3.1.0",
    8282        "@wordpress/is-shallow-equal": "^1.1.4",
    8383        "@wordpress/keycodes": "^2.0.5",
    84         "@wordpress/list-reusable-blocks": "^1.1.16",
    85         "@wordpress/notices": "^1.1.0",
    86         "@wordpress/nux": "^3.0.4",
     84        "@wordpress/list-reusable-blocks": "^1.1.17",
     85        "@wordpress/notices": "^1.1.1",
     86        "@wordpress/nux": "^3.0.5",
    8787        "@wordpress/plugins": "^2.0.9",
    8888        "@wordpress/redux-routine": "^3.0.3",
    89         "@wordpress/rich-text": "^3.0.2",
     89        "@wordpress/rich-text": "^3.0.3",
    9090        "@wordpress/shortcode": "^2.0.2",
    9191        "@wordpress/token-list": "^1.1.0",
    92         "@wordpress/url": "^2.3.1",
    93         "@wordpress/viewport": "^2.0.12",
     92        "@wordpress/url": "^2.3.2",
     93        "@wordpress/viewport": "^2.0.13",
    9494        "@wordpress/wordcount": "^2.0.3",
    9595        "backbone": "1.3.3",
Note: See TracChangeset for help on using the changeset viewer.